/* steps */

/* Progress Steps */

.progress-steps-list {
  list-style: none;
  align-items: start;
  display: flex;
  padding-left: 0;
  padding-right: 5px;
  margin-bottom: 36px !important;
  height: 50px;
}

/* Progress Steps */

.progress-step-item {
  position: relative;
  width: 100%;
}

/* Progress Steps */

.progress-steps-list .progress-step-item:last-child {
  width: initial !important;
}

/* Progress Steps */

.progress-step-divider {
  display: flex;
  align-items: center;
  position: absolute;
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
}

.progress-step-divider .progress-step-divider-line {
  width: 100%;
  height: 2px;
  margin-left: 32px;
  margin-right: 0;
}

.progress-step-divider.not-connected {
  padding-left: 15px;
  padding-right: 15px;
}

/* Progress Steps */

.progress-step-active .progress-step-divider-line, .progress-step-inactive .progress-step-divider-line{
  --tw-bg-opacity: 1 !important;
  background-color: rgb(0 0 0 / var(--tw-bg-opacity)) !important;
  background-color: black !important;
}

/* Progress Steps */

.progress-step-circle {
  border-radius: 9999px;
  border-width: 1px !important;
  align-items: center;
  justify-content: center;
  height: 2rem;
  position: relative;
  width: 2rem;
  display: flex;
}

a.progress-step-circle {
  cursor: pointer;
}

.progress-step-circle .progress-step-dot {
  display: none;
  height: 8px;
  width: 8px;
  border-radius: 9999px;
}

.progress-step-circle .progress-step-tick {
  fill: white;
  display: none;
}

.progress-step-circle .step-name {
  text-align: center;
  font-size: 14px;
  font-weight: normal;
  line-height: 2;
  position: absolute;
  padding-top: 66px;
  --tw-text-opacity: 1;
  color: rgb(0 0 0 / var(--tw-text-opacity));
}

/* Progress Steps */

.progress-step-complete .progress-step-divider-line{
  --tw-bg-opacity: 1;
  background-color: rgb(0 0 0 / var(--tw-bg-opacity));
  background-color: black;
}

.progress-step-complete .progress-step-circle{
  border-width: 2px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(0 0 0 / var(--tw-border-opacity));
  --tw-bg-opacity: 1;
  background-color: rgb(0 0 0 / var(--tw-bg-opacity));
  --tw-text-opacity: 1;
  color: rgb(0 0 0 / var(--tw-text-opacity));
  background-color: black;
}

.progress-step-complete .progress-step-circle .progress-step-tick {
  display: block;
}

/* Progress Steps */

.progress-step-active .progress-step-circle{
  border-width: 2px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(0 0 0 / var(--tw-border-opacity));
  background-color: transparent;
}

.progress-step-active .progress-step-circle .progress-step-dot{
  display: block;
  --tw-bg-opacity: 1;
  background-color: rgb(0 0 0 / var(--tw-bg-opacity));
  background-color: black;
}

.progress-step-active .progress-step-circle .step-name{
  --tw-text-opacity: 1;
  color: rgb(0 0 0 / var(--tw-text-opacity));
}

.progress-step-active .progress-step-divider-line {
  opacity: 0.5;
}

/* Progress Steps */

.progress-step-inactive .progress-step-circle{
  border-width: 2px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(0 0 0 / var(--tw-border-opacity));
  background-color: transparent;
  opacity: 0.5;
}

/* Progress Steps */

.progress-step-tick {
  width: 15px;
  height: 15px;
  color: white;
}

.progress-step-circle{
  --tw-scale-x: .9;
  --tw-scale-y: .9;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.progress-step-inactive span.progress-step-dot {
    background: black;
    display: block;
}

.progress-step-item a.progress-step-circle {
  cursor: default;
}

.progress-step-item a[spa-destination],
.progress-step-item a.prevActionLink {
  cursor: pointer;
}